| AI Engine Intrinsics User Guide (AIE) v2025.2

Loading...
Searching...
No Matches
Functions
Dynamic Z buffer conjugation
Intrinsics » Vector Operations » MAC intrinsics » Multiplication » Advanced » Integer » Vector MAC with partial pre-adding » 16 bit x 32 bit » 16 bit Real x 32 bit Complex

## Overview

16 bit real by 32 bit complex using Dynamic Z buffer conjugation

## Functions
v4cacc80 | lmac4_sym_ct (v4cacc80 acc, v32int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.
v4cacc80 | lmac4_sym_ct (v4cacc80 acc, v32int16 xbuff, int xstart, unsigned int xoffsets, v32int16 ybuff, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v4cacc80 | lmac4_sym_ct (v4cacc80 acc, v64int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .
v4cacc80 | lmsc4_sym_ct (v4cacc80 acc, v32int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.
v4cacc80 | lmsc4_sym_ct (v4cacc80 acc, v32int16 xbuff, int xstart, unsigned int xoffsets, v32int16 ybuff, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v4cacc80 | lmsc4_sym_ct (v4cacc80 acc, v64int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .
v4cacc80 | lmul4_sym_ct (v32int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.
v4cacc80 | lmul4_sym_ct (v32int16 xbuff, int xstart, unsigned int xoffsets, v32int16 ybuff, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v4cacc80 | lmul4_sym_ct (v64int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .
v4cacc80 | lnegmul4_sym_ct (v32int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.
v4cacc80 | lnegmul4_sym_ct (v32int16 xbuff, int xstart, unsigned int xoffsets, v32int16 ybuff, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v4cacc80 | lnegmul4_sym_ct (v64int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .
v4cacc48 | mac4_sym_ct (v4cacc48 acc, v32int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.
v4cacc48 | mac4_sym_ct (v4cacc48 acc, v32int16 xbuff, int xstart, unsigned int xoffsets, v32int16 ybuff, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v4cacc48 | mac4_sym_ct (v4cacc48 acc, v64int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .
v4cacc48 | msc4_sym_ct (v4cacc48 acc, v32int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.
v4cacc48 | msc4_sym_ct (v4cacc48 acc, v32int16 xbuff, int xstart, unsigned int xoffsets, v32int16 ybuff, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v4cacc48 | msc4_sym_ct (v4cacc48 acc, v64int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .
v4cacc48 | mul4_sym_ct (v32int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.
v4cacc48 | mul4_sym_ct (v32int16 xbuff, int xstart, unsigned int xoffsets, v32int16 ybuff, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v4cacc48 | mul4_sym_ct (v64int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .
v4cacc48 | negmul4_sym_ct (v32int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.
v4cacc48 | negmul4_sym_ct (v32int16 xbuff, int xstart, unsigned int xoffsets, v32int16 ybuff, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.
v4cacc48 | negmul4_sym_ct (v64int16 xbuff, int xstart, unsigned int xoffsets, int ystart, unsigned int mtap, v4cint32 zbuff, int zstart, unsigned int zoffsets, int zstep, bool zconj)
| Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .

## Function Documentation

## ◆ lmac4_sym_ct() [1/3]

v4cacc80 lmac4_sym_ct | ( | v4cacc80 | acc,
|  | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 += z00*(x00 + y00) + z01*x01
acc1 += z10*(x10 + y10) + z11*x11
acc2 += z20*(x20 + y20) + z21*x21
acc3 += z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint80 lanes)
  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lmac4_sym_ct() [2/3]

v4cacc80 lmac4_sym_ct | ( | v4cacc80 | acc,
|  | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v32int16 | ybuff,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 += z00*(x00 + y00) + z01*x01
acc1 += z10*(x10 + y10) + z11*x11
acc2 += z20*(x20 + y20) + z21*x21
acc3 += z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint80 lanes)
  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 32 elements of type int16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lmac4_sym_ct() [3/3]

v4cacc80 lmac4_sym_ct | ( | v4cacc80 | acc,
|  | v64int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .

acc0 += z00*(x00 + y00) + z01*x01
acc1 += z10*(x10 + y10) + z11*x11
acc2 += z20*(x20 + y20) + z21*x21
acc3 += z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint80 lanes)
  xbuff | Input buffer of 64 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lmsc4_sym_ct() [1/3]

v4cacc80 lmsc4_sym_ct | ( | v4cacc80 | acc,
|  | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 -= z00*(x00 + y00) + z01*x01
acc1 -= z10*(x10 + y10) + z11*x11
acc2 -= z20*(x20 + y20) + z21*x21
acc3 -= z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint80 lanes)
  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lmsc4_sym_ct() [2/3]

v4cacc80 lmsc4_sym_ct | ( | v4cacc80 | acc,
|  | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v32int16 | ybuff,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 -= z00*(x00 + y00) + z01*x01
acc1 -= z10*(x10 + y10) + z11*x11
acc2 -= z20*(x20 + y20) + z21*x21
acc3 -= z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint80 lanes)
  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 32 elements of type int16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lmsc4_sym_ct() [3/3]

v4cacc80 lmsc4_sym_ct | ( | v4cacc80 | acc,
|  | v64int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .

acc0 -= z00*(x00 + y00) + z01*x01
acc1 -= z10*(x10 + y10) + z11*x11
acc2 -= z20*(x20 + y20) + z21*x21
acc3 -= z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint80 lanes)
  xbuff | Input buffer of 64 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lmul4_sym_ct() [1/3]

v4cacc80 lmul4_sym_ct | ( | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 = z00*(x00 + y00) + z01*x01
acc1 = z10*(x10 + y10) + z11*x11
acc2 = z20*(x20 + y20) + z21*x21
acc3 = z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lmul4_sym_ct() [2/3]

v4cacc80 lmul4_sym_ct | ( | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v32int16 | ybuff,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 = z00*(x00 + y00) + z01*x01
acc1 = z10*(x10 + y10) + z11*x11
acc2 = z20*(x20 + y20) + z21*x21
acc3 = z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 32 elements of type int16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lmul4_sym_ct() [3/3]

v4cacc80 lmul4_sym_ct | ( | v64int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .

acc0 = z00*(x00 + y00) + z01*x01
acc1 = z10*(x10 + y10) + z11*x11
acc2 = z20*(x20 + y20) + z21*x21
acc3 = z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  xbuff | Input buffer of 64 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lnegmul4_sym_ct() [1/3]

v4cacc80 lnegmul4_sym_ct | ( | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 = -( z00*(x00 + y00) + z01*x01 )
acc1 = -( z10*(x10 + y10) + z11*x11 )
acc2 = -( z20*(x20 + y20) + z21*x21 )
acc3 = -( z30*(x30 + y30) + z31*x31 )

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lnegmul4_sym_ct() [2/3]

v4cacc80 lnegmul4_sym_ct | ( | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v32int16 | ybuff,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 = -( z00*(x00 + y00) + z01*x01 )
acc1 = -( z10*(x10 + y10) + z11*x11 )
acc2 = -( z20*(x20 + y20) + z21*x21 )
acc3 = -( z30*(x30 + y30) + z31*x31 )

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 32 elements of type int16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ lnegmul4_sym_ct() [3/3]

v4cacc80 lnegmul4_sym_ct | ( | v64int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .

acc0 = -( z00*(x00 + y00) + z01*x01 )
acc1 = -( z10*(x10 + y10) + z11*x11 )
acc2 = -( z20*(x20 + y20) + z21*x21 )
acc3 = -( z30*(x30 + y30) + z31*x31 )

Returns
  Returned accumulation vector (4 x cint80 lanes)

Parameters

  xbuff | Input buffer of 64 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_sym_ct() [1/3]

v4cacc48 mac4_sym_ct | ( | v4cacc48 | acc,
|  | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 += z00*(x00 + y00) + z01*x01
acc1 += z10*(x10 + y10) + z11*x11
acc2 += z20*(x20 + y20) + z21*x21
acc3 += z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_sym_ct() [2/3]

v4cacc48 mac4_sym_ct | ( | v4cacc48 | acc,
|  | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v32int16 | ybuff,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 += z00*(x00 + y00) + z01*x01
acc1 += z10*(x10 + y10) + z11*x11
acc2 += z20*(x20 + y20) + z21*x21
acc3 += z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 32 elements of type int16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_sym_ct() [3/3]

v4cacc48 mac4_sym_ct | ( | v4cacc48 | acc,
|  | v64int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-accumulate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .

acc0 += z00*(x00 + y00) + z01*x01
acc1 += z10*(x10 + y10) + z11*x11
acc2 += z20*(x20 + y20) + z21*x21
acc3 += z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 64 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_sym_ct() [1/3]

v4cacc48 msc4_sym_ct | ( | v4cacc48 | acc,
|  | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 -= z00*(x00 + y00) + z01*x01
acc1 -= z10*(x10 + y10) + z11*x11
acc2 -= z20*(x20 + y20) + z21*x21
acc3 -= z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_sym_ct() [2/3]

v4cacc48 msc4_sym_ct | ( | v4cacc48 | acc,
|  | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v32int16 | ybuff,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 -= z00*(x00 + y00) + z01*x01
acc1 -= z10*(x10 + y10) + z11*x11
acc2 -= z20*(x20 + y20) + z21*x21
acc3 -= z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 32 elements of type int16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_sym_ct() [3/3]

v4cacc48 msc4_sym_ct | ( | v4cacc48 | acc,
|  | v64int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-subtract intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .

acc0 -= z00*(x00 + y00) + z01*x01
acc1 -= z10*(x10 + y10) + z11*x11
acc2 -= z20*(x20 + y20) + z21*x21
acc3 -= z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 64 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_sym_ct() [1/3]

v4cacc48 mul4_sym_ct | ( | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 = z00*(x00 + y00) + z01*x01
acc1 = z10*(x10 + y10) + z11*x11
acc2 = z20*(x20 + y20) + z21*x21
acc3 = z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_sym_ct() [2/3]

v4cacc48 mul4_sym_ct | ( | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v32int16 | ybuff,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 = z00*(x00 + y00) + z01*x01
acc1 = z10*(x10 + y10) + z11*x11
acc2 = z20*(x20 + y20) + z21*x21
acc3 = z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 32 elements of type int16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_sym_ct() [3/3]

v4cacc48 mul4_sym_ct | ( | v64int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .

acc0 = z00*(x00 + y00) + z01*x01
acc1 = z10*(x10 + y10) + z11*x11
acc2 = z20*(x20 + y20) + z21*x21
acc3 = z30*(x30 + y30) + z31*x31

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 64 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_sym_ct() [1/3]

v4cacc48 negmul4_sym_ct | ( | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer using small X input buffer.

acc0 = -( z00*(x00 + y00) + z01*x01 )
acc1 = -( z10*(x10 + y10) + z11*x11 )
acc2 = -( z20*(x20 + y20) + z21*x21 )
acc3 = -( z30*(x30 + y30) + z31*x31 )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_sym_ct() [2/3]

v4cacc48 negmul4_sym_ct | ( | v32int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v32int16 | ybuff,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x and y input buffers using small X input buffer.

acc0 = -( z00*(x00 + y00) + z01*x01 )
acc1 = -( z10*(x10 + y10) + z11*x11 )
acc2 = -( z20*(x20 + y20) + z21*x21 )
acc3 = -( z30*(x30 + y30) + z31*x31 )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 32 elements of type int16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_sym_ct() [3/3]

v4cacc48 negmul4_sym_ct | ( | v64int16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | unsigned int | mtap,
|  | v4cint32 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep,
|  | bool | zconj
| ) |  |

Complex symetric multiply-negate intrinsic function with center-tap optimization with dynamic z buffer conjugation with pre-add from x input buffer .

acc0 = -( z00*(x00 + y00) + z01*x01 )
acc1 = -( z10*(x10 + y10) + z11*x11 )
acc2 = -( z20*(x20 + y20) + z21*x21 )
acc3 = -( z30*(x30 + y30) + z31*x31 )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 64 elements of type int16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  mtap | Selector for partial pre-adding relative to xstart
  zbuff | Input buffer of 4 elements of type cint32
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.
  zconj | Selector for conjugation in Z buffer

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.